Subject: Re: bug#34927: Curl is not configured to use its dependency libssh2

From: Marius Bakke <[email-masked]>
Date: Thu, 21 Mar 2019 20:06:24 +0100

Leo Famulari <[email-masked]> writes:

> On Thu, Mar 21, 2019 at 12:54:02AM +0100, Marius Bakke wrote:
>> Since no one apparently uses it, let's just remove it.  I'm something of
>> a curl power user and did not know it even had SSH support!
>> 
>> In the mean time, if curl is the only "heavy" user of libssh2, we
>> can give it a non-public or hidden libssh2 package that stays on version
>> 1.8.0 to avoid the graft.  WDYT?
>
> Good idea! Done in af8f7eb4f2a664c2d0fb3faabaf2e80c72993ef6

This commit changed the cURL derivation, so I pushed a followup in
c1f4e6491cecc5d121ef371a8fb2aa0a07030d36.

I think using the "hidden?" property will leave the derivation
unchanged (as opposed to (hidden-package ...)).

@guix-sysadmin: Can you cancel evaluation 4309 on Berlin?